package com.yovinchen.train.common.config;

import io.swagger.v3.oas.models.ExternalDocumentation;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * ClassName: SwaggerConfig
 * Package: com.yovinchen.train.member.config
 *
 * @author yovinchen
 * @Create 2024/1/19 16:38
 */
@Configuration
public class SwaggerConfig {
    @Bean
    public OpenAPI TrainOpenAPI() {
        return new OpenAPI().info(new Info().title("tarin-backend")
                        .description("train文档")
                        .version("v1")
                        .license(new License().name("Apache 2.0")))
                .externalDocs(new ExternalDocumentation().description("外部文档")
                        .url("https://springshop.wiki.github.org/docs"));
    }
}
