package com.yovinchen.train.member.controller;

import com.yovinchen.train.common.resp.CommonResp;
import com.yovinchen.train.member.req.MemberRegisterReq;
import com.yovinchen.train.member.service.MemberService;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 会员 前端控制器
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-19 09:53:20
 */
@RestController
@RequestMapping("/member")
public class MemberController {

    @Autowired
    MemberService memberService;

    @PostMapping("/register")
    public CommonResp<Long> register(@Valid @RequestBody MemberRegisterReq req) {
        long register = memberService.register(req);
        CommonResp<Long> longCommonResp = new CommonResp<>();
        longCommonResp.setContent(register);
        return longCommonResp;
    }
}
