package com.yovinchen.train.member.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yovinchen.train.common.exception.BusinessException;
import com.yovinchen.train.common.exception.BusinessExceptionEnum;
import com.yovinchen.train.common.util.SnowUtil;
import com.yovinchen.train.member.entity.Member;
import com.yovinchen.train.member.mapper.MemberMapper;
import com.yovinchen.train.member.req.MemberRegisterReq;
import com.yovinchen.train.member.service.MemberService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 会员 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-19 09:53:20
 */
@Service
public class MemberServiceImpl extends ServiceImpl<MemberMapper, Member> implements MemberService {

    @Override
    public long register(MemberRegisterReq req) {
        String mobile = req.getMobile();
        LambdaQueryWrapper<Member> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Member::getMobile, mobile);
        if (baseMapper.selectCount(queryWrapper) != 0) {
            throw new BusinessException(BusinessExceptionEnum.MEMBER_MOBILE_EXIST);
        }

        Member newMember = new Member();
        newMember.setId(SnowUtil.getSnowflakeNextId());
        newMember.setMobile(mobile);
        baseMapper.insert(newMember);
        return newMember.getId();
    }
}
